Configurations - Update
Update a test configuration
PATCH https://dev.azure.com/{organization}/{project}/_apis/test/configurations/{testConfigurationId}?api-version=5.0-preview.2
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path | True |
string |
Project ID or project name |
|
test
|
path | True |
integer (int32) |
ID of the test configuration to update. |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '5.0-preview.2' to use this version of the api. |
Request Body
| Name | Type | Description |
|---|---|---|
| area |
Area of the configuration |
|
| description |
string |
Description of the configuration |
| id |
integer (int32) |
Id of the configuration |
| isDefault |
boolean |
Is the configuration a default for the test plans |
| lastUpdatedBy |
Last Updated By Reference |
|
| lastUpdatedDate |
string (date-time) |
Last Updated Data |
| name |
string |
Name of the configuration |
| project |
Project to which the configuration belongs |
|
| revision |
integer (int32) |
Revision of the the configuration |
| state |
State of the configuration |
|
| url |
string |
Url of Configuration Resource |
| values |
Dictionary of Test Variable, Selected Value |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.test_write | Grants the ability to read, create, and update test plans, cases, results and other test management related artifacts. |
Examples
Update a test configuration
Sample request
PATCH https://dev.azure.com/fabrikam/fabrikam-fiber-tfvc/_apis/test/configurations/{testConfigurationId}?api-version=5.0-preview.2
{
"values": [
{
"name": "Operating System",
"value": "Windows 10"
},
{
"name": "Renamed Language",
"value": "English - US"
}
]
}
Sample response
{
"id": 3,
"name": "Win10 English",
"url": "https://dev.azure.com/fabrikam/fabrikam-fiber-tfvc/_apis/test/Configurations/3",
"project": {
"name": "fabrikam-fiber-tfvc",
"url": "https://dev.azure.com/fabrikam/_apis/projects/fabrikam-fiber-tfvc"
},
"description": "",
"lastUpdatedBy": {
"id": "e5a5f7f8-6507-4c34-b397-6c4818e002f4",
"displayName": "Fabrikam Fiber",
"uniqueName": "fabrikamfiber1@outlook.com",
"url": "https://vssps.dev.azure.com/fabrikam/_apis/Identities/e5a5f7f8-6507-4c34-b397-6c4818e002f4",
"imageUrl": "https://dev.azure.com/fabrikam/_api/_common/identityImage?id=e5a5f7f8-6507-4c34-b397-6c4818e002f4"
},
"lastUpdatedDate": "2015-12-23T05:52:48.167Z",
"area": {
"name": "fabrikam-fiber-tfvc\\QA"
},
"revision": 2,
"values": [
{
"name": "Operating System",
"value": "Windows 10"
},
{
"name": "Renamed Language",
"value": "English - US"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Identity |
|
|
Name |
Name value pair |
|
Reference |
The class to represent a collection of REST reference links. |
|
Shallow |
An abstracted reference to some other resource. This class is used to provide the build data contracts with a uniform way to reference other resources in a way that provides easy traversal through links. |
|
Test |
Test configuration |
|
Test |
State of the configuration |
IdentityRef
| Name | Type | Description |
|---|---|---|
| _links |
This field contains zero or more interesting links about the graph subject. These links may be invoked to obtain additional relationships or more detailed information about this graph subject. |
|
| descriptor |
string |
The descriptor is the primary way to reference the graph subject while the system is running. This field will uniquely identify the same graph subject across both Accounts and Organizations. |
| directoryAlias |
string |
|
| displayName |
string |
This is the non-unique display name of the graph subject. To change this field, you must alter its value in the source provider. |
| id |
string |
|
| imageUrl |
string |
|
| inactive |
boolean |
|
| isAadIdentity |
boolean |
|
| isContainer |
boolean |
|
| isDeletedInOrigin |
boolean |
|
| profileUrl |
string |
|
| uniqueName |
string |
|
| url |
string |
This url is the full route to the source resource of this graph subject. |
NameValuePair
Name value pair
| Name | Type | Description |
|---|---|---|
| name |
string |
Name |
| value |
string |
Value |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
object |
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |
ShallowReference
An abstracted reference to some other resource. This class is used to provide the build data contracts with a uniform way to reference other resources in a way that provides easy traversal through links.
| Name | Type | Description |
|---|---|---|
| id |
string |
ID of the resource |
| name |
string |
Name of the linked resource (definition name, controller name, etc.) |
| url |
string |
Full http link to the resource |
TestConfiguration
Test configuration
| Name | Type | Description |
|---|---|---|
| area |
Area of the configuration |
|
| description |
string |
Description of the configuration |
| id |
integer (int32) |
Id of the configuration |
| isDefault |
boolean |
Is the configuration a default for the test plans |
| lastUpdatedBy |
Last Updated By Reference |
|
| lastUpdatedDate |
string (date-time) |
Last Updated Data |
| name |
string |
Name of the configuration |
| project |
Project to which the configuration belongs |
|
| revision |
integer (int32) |
Revision of the the configuration |
| state |
State of the configuration |
|
| url |
string |
Url of Configuration Resource |
| values |
Dictionary of Test Variable, Selected Value |
TestConfigurationState
State of the configuration
| Value | Description |
|---|---|
| active |
The configuration can be used for new test runs. |
| inactive |
The configuration has been retired and should not be used for new test runs. |